unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls, FMX.TMSBaseControl, FMX.TMSGridCell,
  FMX.TMSGridOptions, FMX.TMSGridData, FMX.TMSCustomGrid, FMX.TMSLiveGrid,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Error, FireDAC.UI.Intf,
  FireDAC.Phys.Intf, FireDAC.Stan.Def, FireDAC.Stan.Pool, FireDAC.Stan.Async,
  FireDAC.Phys, FireDAC.Phys.SQLite, FireDAC.Phys.SQLiteDef,
  FireDAC.Stan.ExprFuncs, FireDAC.Phys.SQLiteWrapper.Stat, FireDAC.FMXUI.Wait,
  FireDAC.Stan.Param, FireDAC.DatS, FireDAC.DApt.Intf, FireDAC.DApt,
  Data.Bind.Components, Data.Bind.DBScope, Data.DB, FireDAC.Comp.DataSet,
  FireDAC.Comp.Client, Data.Bind.EngExt, Fmx.Bind.DBEngExt,
  FMX.TMSLiveGridDataBinding, System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.Grid;

type
  TForm1 = class(TForm)
    liveGridTest: TTMSFMXLiveGrid;
    btnIntoFile: TButton;
    FDConnection1: TFDConnection;
    FDQuery1: TFDQuery;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    LinkGridToDataSourceBindSourceDB1: TLinkGridToDataSource;
    Panel1: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure btnIntoFileClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.btnIntoFileClick(Sender: TObject);
var
  printFile: TextFile;
  SavePlace: TBookmark;
  holdItem: String;
  i: Integer;
begin
  if (liveGridTest.RowCount <= 1) then
    ShowMessage('The grid is empty')
  else
  begin
    SavePlace := BindSourceDB1.DataSet.GetBookmark;
    AssignFile(printFile, 'PrintFile.txt');
    Rewrite(printFile);
    for i := 1 to liveGridTest.RowCount - 1 do
    begin
      holdItem := liveGridTest.Cells[0,i];
      BindSourceDB1.DataSet.Locate('item',holdItem,[loPartialKey]);
      writeln(printFile, BindSourceDB1.DataSet.FieldByName('item').AsString);
    end;
    CloseFile(printFile);
    BindSourceDB1.DataSet.GotoBookmark(SavePlace);
    liveGridTest.SetFocus;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FDQuery1.Active := True;
end;

end.
